## disparity

disparity

## Properties

GstDisparityMethod | method | Read / Write

## Types and Values

struct | GstDisparity

## Description

## Synopsis

### Element Information

plugin | opencv
author | Miguel Casas-Sanchez <miguelecasassanchez@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstDisparity

    struct GstDisparity {
      GstElement element;

      GstPad *sinkpad_left, *sinkpad_right, *srcpad;
      GstCaps *caps;

      gint method;
      gboolean display;

      int width;
      int height;
      int actualChannels;

      GstBuffer *buffer_left;
      GMutex lock;
      GCond cond;
      gboolean flushing;

      cv::Size imgSize;
      cv::Mat cvRGB_right;
      cv::Mat cvRGB_left;
      cv::Mat cvGray_right;
      cv::Mat cvGray_left;
      cv::Mat cvGray_depth_map1;  /*IPL_DEPTH_16S */
      cv::Mat cvGray_depth_map2;  /*IPL_DEPTH_8U */
      cv::Mat cvGray_depth_map1_2;        /*IPL_DEPTH_16S */

      cv::Mat img_right_as_cvMat_gray;

      cv::Mat img_left_as_cvMat_gray;
      cv::Mat depth_map_as_cvMat;

      cv::Ptr<cv::StereoBM> sbm;                    /* cv::StereoBM */
      cv::Ptr<cv::StereoSGBM> sgbm;                /* cv::StereoSGBM */
    };

## Property Details

### The `“method”` property

      “method”                   GstDisparityMethod

Stereo matching method to use.

Owner: GstDisparity

Flags: Read / Write

Default value: Semi-global block matching algorithm